/* sc_acp.js
------------ */

(function($) { // Avoid conflicts with other libraries

'use strict';

var constants = Object.freeze({
	OpacityEnabled	: '1',
	OpacityDisabled	: '0.35',
});

function setConfig() {
	var sc = constants;

	$('#stylechanger_font_icon').css('opacity', (
			$('input[name="stylechanger_fa_icon_activated"]').prop('checked') == false
		) ? sc.OpacityDisabled : sc.OpacityEnabled
	);
};

function customFormReset() {
	$('#acp_stylechanger').trigger("reset");
	setConfig();
};

function iconPreview() {
	var input = $(this).val();
	var $fa_icon = $(this).next('span');

	$fa_icon.attr('class', 'icon ' + input);
};

$(window).ready(function() {
	setConfig();

	$('input[name="stylechanger_fa_icon_activated"]'	).on('change'		, setConfig);
	$('input[name="form_reset"]'						).on('click'		, customFormReset);
	$('#sc_font_icon'									).on('keyup blur'	, iconPreview);
});

})(jQuery); // Avoid conflicts with other libraries
