<?php
/**
*
* Style Changer extension for the phpBB Forum Software package.
* @copyright (c) 2010 created Prime Quick Style Mod for phpBB 3.0.7 by primehalo http://www.absoluteanime.com
* @copyright (c) 2014 - 2024 created an Extension by Kirk https://reyno41.bplaced.net/phpbb
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, [
	// Stylechanger Permisson info
	'STYLECHANGER_PERMISSION_INFO'			=> '<a href="%1$s">User</a> and <a href="%2$s">Group</a> permissions can be set under <strong>Misc:</strong> who can see the Style Changer.',
	'STYLECHANGER_PERMISSION_INFO_USER'		=> '<a href="%s">User permissions</a> can be set under <strong>Misc:</strong> who can see the Style Changer.',
	'STYLECHANGER_PERMISSION_INFO_GROUP'	=> '<a href="%s">Group permissions</a> can be set under <strong>Misc:</strong> who can see the Style Changer.',

	// Stylechanger activate
	'STYLECHANGER_ACTIVATE'					=> 'Activate Style Changer',
	'STYLECHANGER_ACTIVATE_EXPLAIN'			=> 'Turns the whole Style Changer on or off (the extension itself will be still enabled).',

	// Stylechanger adminmode
	'STYLECHANGER_ADMINMODE'				=> 'Admin-Mode',
	'STYLECHANGER_ADMINMODE_EXPLAIN'		=> 'If activated, only Administrators can see the Style Changer.',

	// Stylechanger fa icon
	'STYLECHANGER_FA_ICON'					=> 'Font Awesome Symbol',
	'STYLECHANGER_FA_ICON_EXPLAIN'			=> 'If activated, a Font Awesome symbol is displayed instead of a graphic.',
	'STYLECHANGER_FONT_ICON'				=> 'Font Awesome Symbol',
	'STYLECHANGER_FONT_ICON_EXPLAIN'		=> 'Enter the name of a <a href="https://fontawesome.com/v4.7.0/icons/" target="_blank" rel="noopener noreferrer">Font Awesome</a> symbol (e.g. <strong>fa-diamond</strong>).<br>Leave this field empty to use the default (<strong>fa-tint</strong>) Font Awesome symbol.',

	// Stylechanger ucp user style
	'STYLECHANGER_UCP_USER_STYLE'			=> 'Deactivate "My board style" on User Control Panel',
	'STYLECHANGER_UCP_USER_STYLE_EXPLAIN'	=> 'Deactivated the function "My board style" in the User Control Panel.',

	// Stylechanger Toggle Activated
	'STYLECHANGER_TOGGLE_ACTIVATE'			=> 'Activate Toggle Switch',
	'STYLECHANGER_TOGGLE_ACTIVATE_EXPLAIN'	=> 'If activated, the radio buttons Yes/No are replaced with a toggle switch.',
	'STYLECHANGER_TOGGLECTRL_ACTIVATED'		=> 'Toggle Control is activated, this switch currently has no meaning!',

	// Stylechanger Notes
	'STYLECHANGER_DEACTIVATED'				=> 'Style Changer is deactivated!',
	'STYLECHANGER_ADMINMODE_ACTIVATED'		=> 'Admin-Mode is activated. Only Administrators see the Style Changer!',
	'STYLECHANGER_USER_STYLE_OVERRIDE'		=> 'The setting <strong>"Overwrite user style"</strong> is into <a href="%1$s">Board settings</a> activated!',
	'STYLECHANGER_SETTINGS_UPDATED'			=> '%1$s%2$s %3$s',
	'STYLECHANGER_VERSION_COPY'				=> 'phpBB Extension - %1$s - Version %2$s - Powered by <a href="https://reyno41.bplaced.net/phpbb">Kirk</a>',
]);
