<?php
/**
*
* Style Changer extension for the phpBB Forum Software package.
* @copyright (c) 2010 created Prime Quick Style Mod for phpBB 3.0.7 by primehalo http://www.absoluteanime.com
* @copyright (c) 2014 - 2023 created an Extension by Kirk https://reyno41.bplaced.net/phpbb
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, [
	// Stylechanger Permisson info
	'STYLECHANGER_PERMISSION_INFO'			=> 'Permisos de <a href="%1$s">Usuario</a> y <a href="%2$s">Grupo</a> se puede configurar en  <strong>Misc:</strong> quién puede ver el cambiador de estilo.',
	'STYLECHANGER_PERMISSION_INFO_USER'		=> '<a href="%s">Permisos de Usuario</a> se puede configurar en <strong>Misc:</strong> quién puede ver el cambiador de estilo.',
	'STYLECHANGER_PERMISSION_INFO_GROUP'	=> '<a href="%s">Permisos de Grupos</a> se puede configurar en  <strong>Misc:</strong> quién puede ver el cambiador de estilo.',

	// Stylechanger activate
	'STYLECHANGER_ACTIVATE'					=> 'Activar cambiador de estilo',
	'STYLECHANGER_ACTIVATE_EXPLAIN'			=> 'Activa o desactiva todo el Cambiador de estilo (la extensión en sí seguirá habilitada).',

	// Stylechanger adminmode
	'STYLECHANGER_ADMINMODE'				=> 'Modo-Admin',
	'STYLECHANGER_ADMINMODE_EXPLAIN'		=> 'Si está activado, solo los administradores pueden ver el cambiador de estilo.',

	// Stylechanger fa icon
	'STYLECHANGER_FA_ICON'					=> 'Símbolo Font Awesome',
	'STYLECHANGER_FA_ICON_EXPLAIN'			=> 'Si está activado, se muestra un símbolo de Font Awesome en lugar de un gráfico.',
	'STYLECHANGER_FONT_ICON'				=> 'Símbolo de Font Awesome',
	'STYLECHANGER_FONT_ICON_EXPLAIN'		=> 'Introduzca el nombre del símbolo <a href="https://fontawesome.com/v4.7.0/icons/" target="_blank" rel="noopener noreferrer">Font Awesome</a> (por ejemplo) <strong>fa-diamond</strong>).<br>Deje este campo vacío para usar el valor predeterminado, símbolo (<strong>fa-tint</strong>) Font Awesome.',

	// Stylechanger ucp user style
	'STYLECHANGER_UCP_USER_STYLE'			=> 'Desactivar "Mi estilo de foro" en el PCU',
	'STYLECHANGER_UCP_USER_STYLE_EXPLAIN'	=> 'Desactivada la función "Mi estilo de foro" en el Panel de Control de Usuario.',

	// Stylechanger Toggle Activated
	'STYLECHANGER_TOGGLE_ACTIVATE'			=> 'Activar interruptor de palanca',
	'STYLECHANGER_TOGGLE_ACTIVATE_EXPLAIN'	=> 'Si están activados, los botones de opción Sí/No se reemplazan por un interruptor de palanca.',
	'STYLECHANGER_TOGGLECTRL_ACTIVATED'		=> 'El control de palanca está activado, ¡este interruptor actualmente no tiene ningún significado!',

	// Stylechanger Notes
	'STYLECHANGER_DEACTIVATED'				=> '¡El cambiador de estilo está desactivado!',
	'STYLECHANGER_ADMINMODE_ACTIVATED'		=> 'Modo-Admin está activado. ¡Solo los administradores ven el cambiador de estilo!',
	'STYLECHANGER_USER_STYLE_OVERRIDE'		=> '¡El ajuste <strong>"Sustituir estilo del usuario"</strong> está dentro <a href="%1$s">Configuración del Sitio</a> activado!',
	'STYLECHANGER_SETTINGS_UPDATED'			=> '%1$s%2$s %3$s',
	'STYLECHANGER_VERSION_COPY'				=> 'Extensión de phpBB - %1$s - Versión %2$s - Desarrollado por <a href="https://reyno41.bplaced.net/phpbb">Kirk</a>',
]);
