<?php
/**
*
* Style Changer extension for the phpBB Forum Software package.
* @copyright (c) 2010 created Prime Quick Style Mod for phpBB 3.0.7 by primehalo http://www.absoluteanime.com
* @copyright (c) 2014 - 2024 created an Extension by Kirk https://reyno41.bplaced.net/phpbb
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

namespace kirk\stylechanger\migrations;

class v_2_2_0 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['stylechanger_version']) && version_compare($this->config['stylechanger_version'], '2.2.0', '>=');
	}

	public static function depends_on()
	{
		return ['\kirk\stylechanger\migrations\v_2_1_1'];
	}

	public function update_data()
	{
		return [
			['config.add', ['stylechanger_version', '2.2.0']],
			['permission.add', ['u_view_stylechanger', true, 'u_']],
			['config.add', ['stylechanger_enable', 1]],

			['module.add', [
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_STYLECHANGER'
			]],

			['module.add', [
				'acp',
				'ACP_STYLECHANGER',
				[
					'module_basename'	=> '\kirk\stylechanger\acp\stylechanger_module',
					'modes'				=> ['settings'],
				],
			]],
		];
	}
}
